Loading...
Searching...
No Matches
pappso::masschroq::MsRun Class Reference

`#include <msrun.h>`

## Public Member Functions

| MsRun (pappso::MsRunReaderSPtr msrun_reader)
virtual | ~MsRun ()
const pappso::MsRunReaderSPtr & | getMsRunReaderSPtr () const
pappso::MsRunReaderSPtr & | getMsRunReaderSPtr ()
const PrecursorSp & | getPrecursorSPtrBySpectrumIndex (std::size_t spectrum_index) const
const PrecursorSp & | getPrecursorSPtrByScanNumber (std::size_t scan_number) const
const std::vector< double > & | getRetentionTimeLine () const
bool | hasTimsTofMobilityIndex () const

## Private Attributes

pappso::MsRunReaderSPtr | msp_msRunReader
std::map< std::size_t, PrecursorSp > | m_spectrumIndex2precursorMap
| new map dedicated to spectrum index to replace obsolete scan number
pappso::MsRunXicExtractorInterfaceSp | msp_msRunXicExtractorInterfaceSp
PrecursorParser * | mpa_precursorParser
std::vector< double > | m_retentionTimeLine
bool | m_hasTimsTofMobilityIndex = false

## Detailed Description

@description group together an msrun reader object and list of precursors (MS1 peak chosen for fragmentation)

Definition at line 49 of file msrun.h.

## Constructor & Destructor Documentation

## MsRun()

pappso::masschroq::MsRun::MsRun | ( | pappso::MsRunReaderSPtr | msrun_reader | ) |

Default constructor

Definition at line 35 of file msrun.cpp.

: msp_msRunReader(msrun_reader)
{
pappso::TimsMsRunReaderMs2 *tims2_reader =
dynamic_cast<pappso::TimsMsRunReaderMs2 *>(msp_msRunReader.get());
if(tims2_reader != nullptr)
{
m_hasTimsTofMobilityIndex = true;
}
m_retentionTimeLine = msp_msRunReader.get()->getRetentionTimeLine();
mpa_precursorParser = new PrecursorParser(msp_msRunReader);
pappso::MsRunReadConfig config;
config.setNeedPeakList(false);
config.setMsLevels({2});
qDebug();
// msrunA01.get()->readSpectrumCollection(spectrum_list_reader);
msp_msRunReader.get()->readSpectrumCollection2(config, *mpa_precursorParser);
}
pappso::MsRunReadConfig::setNeedPeakList
void setNeedPeakList(bool need_peak_list)
Definition msrunreadconfig.cpp:173
pappso::MsRunReadConfig::setMsLevels
void setMsLevels(std::vector< std::size_t > ms_levels)
Definition msrunreadconfig.cpp:89
pappso::masschroq::MsRun::mpa_precursorParser
PrecursorParser * mpa_precursorParser
Definition msrun.h:83
pappso::masschroq::MsRun::m_retentionTimeLine
std::vector< double > m_retentionTimeLine
Definition msrun.h:85
pappso::masschroq::MsRun::m_hasTimsTofMobilityIndex
bool m_hasTimsTofMobilityIndex
Definition msrun.h:87
pappso::masschroq::MsRun::msp_msRunReader
pappso::MsRunReaderSPtr msp_msRunReader
Definition msrun.h:75

References getRetentionTimeLine(), m_hasTimsTofMobilityIndex, m_retentionTimeLine, mpa_precursorParser, msp_msRunReader, pappso::MsRunReadConfig::setMsLevels(), and pappso::MsRunReadConfig::setNeedPeakList().

## ~MsRun()

pappso::masschroq::MsRun::~MsRun | ( |  | ) |

virtual

Destructor

Definition at line 57 of file msrun.cpp.

{
delete mpa_precursorParser;
}

References mpa_precursorParser.

## Member Function Documentation

## getMsRunReaderSPtr() [1/2]

pappso::MsRunReaderSPtr & pappso::masschroq::MsRun::getMsRunReaderSPtr | ( |  | ) |

Definition at line 69 of file msrun.cpp.

{
return msp_msRunReader;
}

References msp_msRunReader.

## getMsRunReaderSPtr() [2/2]

const pappso::MsRunReaderSPtr & pappso::masschroq::MsRun::getMsRunReaderSPtr | ( |  | ) | const

Definition at line 63 of file msrun.cpp.

{
return msp_msRunReader;
}

References msp_msRunReader.

Referenced by pappso::masschroq::CborOutputStream::writeMsRun(), and pappso::masschroq::CborOutputStream::writeQrDataBlock().

## getPrecursorSPtrByScanNumber()

const pappso::masschroq::PrecursorSp & pappso::masschroq::MsRun::getPrecursorSPtrByScanNumber | ( | std::size_t | scan_number | ) | const

Definition at line 76 of file msrun.cpp.

{
std::size_t spectrum_index = msp_msRunReader.get()->scanNumber2SpectrumIndex(scan_number);
return mpa_precursorParser->getPrecursorSPtrBySpectrumIndex(spectrum_index);
}

References mpa_precursorParser, and msp_msRunReader.

## getPrecursorSPtrBySpectrumIndex()

const pappso::masschroq::PrecursorSp & pappso::masschroq::MsRun::getPrecursorSPtrBySpectrumIndex | ( | std::size_t | spectrum_index | ) | const

Definition at line 82 of file msrun.cpp.

{
return mpa_precursorParser->getPrecursorSPtrBySpectrumIndex(spectrum_index);
}

References mpa_precursorParser.

## getRetentionTimeLine()

const std::vector< double > & pappso::masschroq::MsRun::getRetentionTimeLine | ( |  | ) | const

Definition at line 88 of file msrun.cpp.

{
return m_retentionTimeLine;
}

References m_retentionTimeLine.

Referenced by MsRun().

## hasTimsTofMobilityIndex()

bool pappso::masschroq::MsRun::hasTimsTofMobilityIndex | ( |  | ) | const

Definition at line 94 of file msrun.cpp.

{
return m_hasTimsTofMobilityIndex;
}

References m_hasTimsTofMobilityIndex.

## Member Data Documentation

## m_hasTimsTofMobilityIndex

bool pappso::masschroq::MsRun::m_hasTimsTofMobilityIndex = false

private

Definition at line 87 of file msrun.h.

Referenced by MsRun(), and hasTimsTofMobilityIndex().

## m_retentionTimeLine

std::vector<double> pappso::masschroq::MsRun::m_retentionTimeLine

private

Definition at line 85 of file msrun.h.

Referenced by MsRun(), and getRetentionTimeLine().

## m_spectrumIndex2precursorMap

std::map<std::size_t, PrecursorSp> pappso::masschroq::MsRun::m_spectrumIndex2precursorMap

private

new map dedicated to spectrum index to replace obsolete scan number

Definition at line 79 of file msrun.h.

## mpa_precursorParser

PrecursorParser* pappso::masschroq::MsRun::mpa_precursorParser

private

Definition at line 83 of file msrun.h.

Referenced by MsRun(), ~MsRun(), getPrecursorSPtrByScanNumber(), and getPrecursorSPtrBySpectrumIndex().

## msp_msRunReader

pappso::MsRunReaderSPtr pappso::masschroq::MsRun::msp_msRunReader

private

Definition at line 75 of file msrun.h.

Referenced by MsRun(), getMsRunReaderSPtr(), getMsRunReaderSPtr(), and getPrecursorSPtrByScanNumber().

## msp_msRunXicExtractorInterfaceSp

pappso::MsRunXicExtractorInterfaceSp pappso::masschroq::MsRun::msp_msRunXicExtractorInterfaceSp

private

Definition at line 81 of file msrun.h.

The documentation for this class was generated from the following files:

- pappsomspp/core/masschroq/msrun.h
- pappsomspp/core/masschroq/msrun.cpp